include "golds.inc"
include "metals.inc"
include "woods.inc"
include "colors.inc"
include "stones1.inc"
include "glass.inc"
include "stars.inc"
        
#declare T = texture{pigment{color rgb <.7,.7,.7>} finish {phong .6 specular .1 phong_size 25} normal {bozo .01 scale .02}}
#declare R = texture{pigment{color rgb <.05,.05,.05>}}
#declare P = texture{T_Glass1}
#declare b = texture{pigment{color rgb <.8,.5,.2>}}
#declare K = texture{T_Wood10 rotate <0,25,0>}    

camera{location<3,2,-7> look_at<-.1,.5,0>}
//camera{location<-2,1,-1> look_at<0,.5,0>}

fog {fog_type 1 distance 200 color rgb <0,0,0> }

light_source{<13,30,-50> color rgb <1,1,.95>/3}
//light_source{<-1,.2,0> color rgb <1,1,.95>*2} 

difference{ plane{y,0 texture{K}} merge{box{<-25,-1,3>,<10,1,6>} box{<-30,-30,-30>,<30,-.5,30>}} }
plane{z,4 texture{pigment{image_map{png "papier.png"} rotate <0,0,25>}}}

#declare support = difference{superellipsoid{<.1,.1> scale <1.7,.15,.6> } 
                              box{<-1.4,0,-.5>,<.25,.3,.5>}
                              box{<.45,0,-.5>,<1.3,.3,.5>}
                              texture{T}} 

#declare touche = difference{union{lathe{cubic_spline 22,<0.003000,0.132000>,<0.010000,0.132000>,<0.020000,0.132000>,<0.028000,0.133000>,<0.041000,0.133000>,
	                                <0.064000,0.133000>,<0.088000,0.132000>,<0.109000,0.130000>,<0.138000,0.126000>,<0.158000,0.123000>,
	                                <0.175000,0.118000>,<0.192000,0.111000>,<0.207000,0.105000>,<0.224000,0.097000>,<0.238000,0.091000>,
	                                <0.255000,0.088000>,<0.270000,0.084000>,<0.289000,0.085000>,<0.316000,0.144000>,<0.432000,0.494000>,
	                                <0.328000,0.476000>,<0.146000,0.301000> rotate <180,0,0>  }
                                   cylinder{<0,-1,-.02>,<0,-.133,-.02>,.04 texture{R}} }
                             box{<-1,0,-1>,<1,1,4> rotate <0,0,80> translate <-.2,0,0>}
                             box{<-1,0,-1>,<1,1,4> rotate <0,0,80> translate <-.2,0,0> rotate <0,90,0>}
                             box{<-1,0,-1>,<1,1,4> rotate <0,0,80> translate <-.2,0,0> rotate <0,180,0>}
                             box{<-1,0,-1>,<1,1,4> rotate <0,0,80> translate <-.2,0,0> rotate <0,-90,0>}
                             }

#declare cable = union{sphere_sweep {cubic_spline 6,<1.4,.2,0>,.05,<1.7,.3,0>,.05,<2,.25,.5>,.05,<3,.05,1.5>,.05,<6,.05,7>,.05,<10,.05,10>,.05 texture{T}}
                       cone{<1.7,.3,0>,.1,<1.73,.3,0>,.06 texture{T}}}
                       
#declare clavier = union{object{support translate <0,.3,0>}
                         object{touche texture{R} scale <1.4,.6,1.4> translate <-1,.6,0>}
                         object{touche texture{R} scale <1.4,.6,1.4> translate <-.2,.6,0>}
                         object{touche texture{R} scale <1.4,.6,1.4> translate <.9,.6,0>}
                         text{ttf "timrom.ttf" "Ctrl" .05,0 pigment{White} scale .15 rotate <90,0,0> translate <-1.23,.54,.1>}
                         text{ttf "timrom.ttf" "Alt" .05,0 pigment{White} scale .15 rotate <90,0,0> translate <-.46,.54,.1>}
                         text{ttf "timrom.ttf" "Del" .05,0 pigment{White} scale .15 rotate <90,0,0> translate <.7,.54,.1>}
                         rotate <-15,0,0>}

#declare moniteur = union{union{difference{torus{1.5,.3} box{<-3,0,-3>,<3,-1,3>} } 
                                cylinder{<0,0,-1.5>,<0,-.1,-1.5>,.2} cylinder{<0,0,-1.5>,<0,-.1,-1.5>,.2 rotate <0,120,0>} cylinder{<0,0,-1.5>,<0,-.1,-1.5>,.2 rotate <0,-120,0>}
                                cylinder{<0,.2,1.5>,<0,5,0>,.1} scale <1,.3,.8>}    
                          union{difference{superellipsoid{<.1,.1> scale <4,3,.1> translate <0,3,0>} 
                                           box{<-3.25,.7,-2>,<3.25,5.7,0> pigment{color rgb <1,0,0>}}
                                           cylinder{<1,.35,0>,<1,.35,-.1>,.04}
                                           cylinder{<1.5,.4,0>,<1.5,.4,-.1>,.15}
                                           cone{<1.5,.4,-.1>,.18,<1.5,.4,-.08>,.15}}                                                              
                                box{<0,0,-.05>,<6.5,5,0> texture{pigment{image_map{jpeg "ecran.jpg" once} scale <6.5,5,0>}} translate <-3.25,.7,-.05>}  
                                cylinder{<1,.35,0>,<1,.35,-.1>,.04 texture{P}}
                                light_source{<1,.35,-.01> color rgb <.1,.6,.1>*3 }
                                superellipsoid{<1,.2> scale <.15,.15,.1> translate <1.5,.4,0>} rotate <15,0,0> translate <0,1,-.5>}
                                sphere_sweep {cubic_spline 4,<3.5,1.5,0>,.05,<3.5,1.5,2>,.05,<4.5,.5,2>,.05,<20,.05,3>,.05 texture{T}}}

#declare lampe = union{cone{<0,0,0>,.85,<0,.2,0>,.7 texture{T_Brass_1A}} 
                       sphere{<0,1,0>,1 scale <1,.8,1> texture{T_Orange_Glass}}
                       light_source{<0,1,0> color rgb <1,1,1>*4} }                                                                    

#declare prise = union{union{difference{cylinder{<0,0,0>,<.3,0,0>,.2} cylinder{<-1,0,0>,<.2,0,0>,.19} box{<-1,-1,-1>,<.1,-.1,1>}}
                             cylinder{<.05,.1,0>,<.3,.1,0>,.015}
                             cylinder{<.05,.1,0>,<.3,.1,0>,.015 rotate <60,0,0>} 
                             cylinder{<.05,.1,0>,<.3,.1,0>,.015 rotate <120,0,0>} 
                             cylinder{<.05,.1,0>,<.3,.1,0>,.015 rotate <180,0,0>}
                             cylinder{<.05,.1,0>,<.3,.1,0>,.015 rotate <-60,0,0>}
                             cylinder{<.05,.1,0>,<.3,.1,0>,.015 rotate <-120,0,0>} rotate <180,0,0> texture{T_Chrome_3C}}
                       union{cylinder{<.3,0,0>,<.5,0,0>,.23}
                             cylinder{<.5,0,0>,<1.5,0,0>,.25}
                             box{<.5,-.25,-.25>,<1.5,0,.25>} texture{pigment{color rgb <.1,.6,0>}}} }



object{clavier translate <1,0,-4>}
object{cable translate <1,0,-4>}
object{moniteur texture{T} translate <0,0,-1>}   
object{prise scale .7 rotate <0,-30,0> translate <3.5,.2,0>}   
object{lampe translate <-2.5,0,-4>}







